import 'package:iconfont/src/model/icon.dart';
import 'package:iconfont/src/utils.dart';

/// IconTemp
class IconTemp {
  /// build
  static String build(String className, IconModel model) {
    var itemContent =
        model.glyphs.map((e) => _buildItem(model.cssPrefixText, e)).join("\n");

    String contents = '''
//  This file is automatically generated. DO NOT EDIT, all your changes would be lost.
//  https://pub.dartlang.org/packages/iconfont

import 'package:flutter/material.dart' show IconData;

class $className {
  static const String _family = '${model.fontFamily}';
  
  $className._();
  
$itemContent
}
''';

    return contents;
  }

  /// _buildItem
  static String _buildItem(String preText, IconModelGlyphs glyphs) {
    String iconName = Utils.formatName("${preText ?? ""}${glyphs.fontClass}");
    String unicode = glyphs.unicode;
    String glyphsName = glyphs.name.isEmpty ? "" : "// ${glyphs.name}";

    return '''  static const IconData $iconName = IconData(0x$unicode, fontFamily: _family); $glyphsName''';
  }
}
